Subject: bug#32298: 26.1.50; Emacs gtk system tooltips are not shown as tooltips

From: martin rudalics <[email-masked]>
Date: Sun, 29 Jul 2018 09:52:36 +0200

> The weird thing is that emacs gtk tooltips haven't any tooltip related
 > property set. I'm not sure whether this is because of the way I've
 > called xprop and xwininfo on them (again, details in [1]) or what, but
 > the problem is that the window manager is trying to manage them since it
 > can't indentify them as tooltips and, so, they're not themed as the gtk
 > theme specifies for tooltips.

In xg_prepare_tooltip after

   gwin = gtk_widget_get_window (GTK_WIDGET (x->ttip_window));

insert the line

   gdk_window_set_override_redirect (gwin, TRUE);

but I doubt this would help much making GTK tooltips look as wanted
by a specific theme.

martin